Package org.kie.internal.runtime.manager.audit.query

## Interface ProcessInstanceLogQueryBuilder

- All Superinterfaces:
    `AuditLogQueryBuilder<ProcessInstanceLogQueryBuilder,​org.kie.api.runtime.manager.audit.ProcessInstanceLog>`, `ExtendedParametrizedQueryBuilder<ProcessInstanceLogQueryBuilder,​org.kie.api.runtime.manager.audit.ProcessInstanceLog>`, `ParametrizedQueryBuilder<ProcessInstanceLogQueryBuilder>`, `ProcessIdQueryBuilder<ProcessInstanceLogQueryBuilder,​org.kie.api.runtime.manager.audit.ProcessInstanceLog>`, `ProcessInstanceIdQueryBuilder<ProcessInstanceLogQueryBuilder,​org.kie.api.runtime.manager.audit.ProcessInstanceLog>`

      public interface ProcessInstanceLogQueryBuilder
      extends AuditLogQueryBuilder<ProcessInstanceLogQueryBuilder,​org.kie.api.runtime.manager.audit.ProcessInstanceLog>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder

      `AuditLogQueryBuilder.OrderBy`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ProcessInstanceLogQueryBuilder` | `correlationKey​(CorrelationKey... correlationKeys)` | Specify one or more process correlation keys as a criteria
    `ProcessInstanceLogQueryBuilder` | `duration​(long... duration)` | Specify one or more (process instance) durations as a criteria.
    `ProcessInstanceLogQueryBuilder` | `durationMax​(long durationMax)` | Specify the end (maximum) of a range to be used as a criteria on the (process instance) duration field
    `ProcessInstanceLogQueryBuilder` | `durationMin​(long durationMin)` | Specify the begin (minimum) of a range to be used as a criteria on the (process instance) duration field
    `ProcessInstanceLogQueryBuilder` | `endDate​(Date... date)` | Specify one or more (process instance) end dates as a criteria
    `ProcessInstanceLogQueryBuilder` | `endDateRangeEnd​(Date rangeEnd)` | Specify the end of a date range to be used as a criteria on the end date field.
    `ProcessInstanceLogQueryBuilder` | `endDateRangeStart​(Date rangeStart)` | Specify the begin of a date range to be used as a criteria on the end date field.
    `ProcessInstanceLogQueryBuilder` | `identity​(String... identity)` | Specify one or more identiies (who started the process instance) as a criteria
    `ProcessInstanceLogQueryBuilder` | `outcome​(String... outcome)` | Specify one or more (process instance) outcomes as a criteria.
    `ProcessInstanceLogQueryBuilder` | `processName​(String... processName)` | Specify one or more process names as a criteria
    `ProcessInstanceLogQueryBuilder` | `processVersion​(String... version)` | Specify one or more process versions as a criteria
    `ProcessInstanceLogQueryBuilder` | `startDate​(Date... date)` | Specify one or more (process instance) start dates as a criteria
    `ProcessInstanceLogQueryBuilder` | `startDateRangeEnd​(Date rangeEnd)` | Specify the end of a date range to be used as a criteria on the start date field.
    `ProcessInstanceLogQueryBuilder` | `startDateRangeStart​(Date rangeStart)` | Specify the begin of a date range to be used as a criteria on the start date field.
    `ProcessInstanceLogQueryBuilder` | `status​(int... status)` | Specify one more statuses (in the form of an int) as criteria.

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder

      `ascending, descending`

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `build, endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.ProcessIdQueryBuilder

      `processId`

    - ### Methods inherited from interface org.kie.internal.query.ProcessInstanceIdQueryBuilder

      `processInstanceId, processInstanceIdRange`

- - ### Method Detail

    - #### status

          ProcessInstanceLogQueryBuilder status​(int... status)

      Specify one more statuses (in the form of an int) as criteria.
      Parameters:
        `status` - one or more int statuses
      Returns:
        The current instance of this query builder

    - #### outcome

          ProcessInstanceLogQueryBuilder outcome​(String... outcome)

      Specify one or more (process instance) outcomes as a criteria.
      Parameters:
        `outcome` - one or more string outcomes
      Returns:
        The current instance of this query builder

    - #### duration

          ProcessInstanceLogQueryBuilder duration​(long... duration)

      Specify one or more (process instance) durations as a criteria. This duration is in milliseconds.
      Parameters:
        `duration` - one or more long durations
      Returns:
        The current instance of this query builder

    - #### durationMin

          ProcessInstanceLogQueryBuilder durationMin​(long durationMin)

      Specify the begin (minimum) of a range to be used as a criteria on the (process instance) duration field
      Parameters:
        `durationMin` - the begin (minimum) of the long range
      Returns:
        The current instance of this query builder

    - #### durationMax

          ProcessInstanceLogQueryBuilder durationMax​(long durationMax)

      Specify the end (maximum) of a range to be used as a criteria on the (process instance) duration field
      Parameters:
        `durationMax` - the end (maximum) of the long range
      Returns:
        The current instance of this query builder

    - #### identity

          ProcessInstanceLogQueryBuilder identity​(String... identity)

      Specify one or more identiies (who started the process instance) as a criteria
      Parameters:
        `identity` - one or more string identities
      Returns:
        The current instance of this query builder

    - #### processVersion

          ProcessInstanceLogQueryBuilder processVersion​(String... version)

      Specify one or more process versions as a criteria
      Parameters:
        `version` - one or more string process versions
      Returns:
        The current instance of this query builder

    - #### processName

          ProcessInstanceLogQueryBuilder processName​(String... processName)

      Specify one or more process names as a criteria
      Parameters:
        `processName` - one or more string process names
      Returns:
        The current instance of this query builder

    - #### startDate

          ProcessInstanceLogQueryBuilder startDate​(Date... date)

      Specify one or more (process instance) start dates as a criteria
      Parameters:
        `date` - one or more `Date` start dates
      Returns:
        The current instance of this query builder

    - #### startDateRangeStart

          ProcessInstanceLogQueryBuilder startDateRangeStart​(Date rangeStart)

      Specify the begin of a date range to be used as a criteria on the start date field. The date range includes the date specified.
      Parameters:
        `rangeStart` - the start (early end) of the date range
      Returns:
        The current query builder instance

    - #### startDateRangeEnd

          ProcessInstanceLogQueryBuilder startDateRangeEnd​(Date rangeEnd)

      Specify the end of a date range to be used as a criteria on the start date field. The date range includes this date.
      Parameters:
        `rangeEnd` - the end (later end) of the date range
      Returns:
        The current query builder instance

    - #### endDate

          ProcessInstanceLogQueryBuilder endDate​(Date... date)

      Specify one or more (process instance) end dates as a criteria
      Parameters:
        `date` - one or more `Date` end dates
      Returns:
        The current instance of this query builder

    - #### endDateRangeStart

          ProcessInstanceLogQueryBuilder endDateRangeStart​(Date rangeStart)

      Specify the begin of a date range to be used as a criteria on the end date field. The date range includes this date.
      Parameters:
        `rangeStart` - the begin (later end) of the date range
      Returns:
        The current query builder instance

    - #### endDateRangeEnd

          ProcessInstanceLogQueryBuilder endDateRangeEnd​(Date rangeEnd)

      Specify the end of a date range to be used as a criteria on the end date field. The date range includes this date.
      Parameters:
        `rangeEnd` - the end (later end) of the date range
      Returns:
        The current query builder instance

    - #### correlationKey

          ProcessInstanceLogQueryBuilder correlationKey​(CorrelationKey... correlationKeys)

      Specify one or more process correlation keys as a criteria
      Parameters:
        `correlationKeys` - one or more correlation keys
      Returns:
        The current instance of this query builder